# Interface BaseEvent

所有事件的基础接口

interface BaseEvent {
defaultPrevented: boolean;
timeStamp: number;
type: string;
preventDefault(): void;
}

#### Hierarchy (View Summary)

- BaseEvent
  - BaseExtendableEvent
  - IntersectEvent
  - ModelTileEvent
  - ModelEvent
  - ModelSceneEvent
  - NetworkResourceEvent
  - ObjectEvent
  - PanoTextureEvent
  - RenderEvent
  - StateEvent
  - WorksEvent
  - XRGestureEvent
  - XRSessionEvent
  - XRControllerEvent

- Defined in lib/five/utils/event.ts:15

##### Index

### Properties

defaultPrevented
timeStamp
type

### Methods

preventDefault

## Properties

### `Readonly` defaultPrevented

defaultPrevented: boolean

是否已调用过 preventDefault

- Defined in lib/five/utils/event.ts:23

### timeStamp

timeStamp: number

事件触发时的时间戳

- Defined in lib/five/utils/event.ts:19

### type

type: string

事件类型名称

- Defined in lib/five/utils/event.ts:17

## Methods

### preventDefault

- preventDefault(): void

  阻止事件的默认行为

  #### Returns void

  - Defined in lib/five/utils/event.ts:21